[Cortex managed teams] Update members in team
curl --request PUT \
--url https://api.getcortexapp.com/api/v1/teams/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"members": [
{
"email": "<string>",
"name": "<string>",
"notificationsEnabled": true,
"roleTags": [
"<string>"
],
"description": "<string>"
}
],
"type": "<string>"
}
'import requests
url = "https://api.getcortexapp.com/api/v1/teams/members"
payload = {
"members": [
{
"email": "<string>",
"name": "<string>",
"notificationsEnabled": True,
"roleTags": ["<string>"],
"description": "<string>"
}
],
"type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
members: [
{
email: '<string>',
name: '<string>',
notificationsEnabled: true,
roleTags: ['<string>'],
description: '<string>'
}
],
type: '<string>'
})
};
fetch('https://api.getcortexapp.com/api/v1/teams/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cortexTeam": {
"members": [
{
"email": "<string>",
"name": "<string>",
"notificationsEnabled": true,
"roles": [
{
"tag": "<string>",
"type": "<string>",
"source": "<string>"
}
],
"description": "<string>",
"role": {
"tag": "<string>",
"type": "<string>",
"source": "<string>"
}
}
]
},
"catalogEntityTag": "<string>",
"id": "<string>",
"isArchived": true,
"links": [
{
"name": "<string>",
"type": "<string>",
"url": "<string>",
"description": "<string>"
}
],
"metadata": {
"name": "<string>",
"description": "<string>",
"summary": "<string>"
},
"slackChannels": [
{
"name": "<string>",
"notificationsEnabled": true,
"description": "<string>"
}
],
"teamTag": "<string>",
"type": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}[Cortex managed teams] Update members in team
For teams whose members are not backed by an IdP, use this API to update the team members. Note that it will replace the members in the team with the members defined in this request.
Warning: This API should only be used if your team identifier contains non-alphanumeric characters. Otherwise, use the standard API under Teams.
PUT
/
api
/
v1
/
teams
/
members
[Cortex managed teams] Update members in team
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Query Parameters
Response
Successfully updated team members
- CORTEX
- IDP
Last modified on September 29, 2026